# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=5

DESCRIPTION="Editable LaTeX text objects for Inkscape"
HOMEPAGE="http://pav.iki.fi/software/textext/"
SRC_URI="http://pav.iki.fi/software/${PN}/${P}.tar.gz"

LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

# Do we want to complicate our dependencies by adding
# media-gfx/inkscape?
DEPEND=""
RDEPEND="app-text/dvipsk
	dev-python/lxml
	dev-texlive/texlive-latex
	|| ( media-gfx/pdf2svg media-gfx/pstoedit[plotutils] )"

S="${WORKDIR}"

src_install() {
	insinto /usr/share/inkscape/extensions/
	doins textext.inx textext.py
}
